gRPC C#
gRPC C#
Namespaces
Grpc.Core
ContextPropagationOptions Class
ContextPropagationOptions Constructor
ContextPropagationOptions Properties
ContextPropagationOptions Methods
ContextPropagationOptions Fields

ContextPropagationOptions Class

Options for ContextPropagationToken.
Inheritance Hierarchy
System
Object
Grpc.Core
ContextPropagationOptions

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ContextPropagationOptions

    Public Class ContextPropagationOptions

    public ref class ContextPropagationOptions

    type ContextPropagationOptions =  class end

The ContextPropagationOptions type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ContextPropagationOptions | Creates new context propagation options.

Top
Properties

| Name | Description
--- | --- | ---
| IsPropagateCancellation | true if parent call's cancellation token should be propagated to the child call.
| IsPropagateDeadline | true if parent call's deadline should be propagated to the child call.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| Default | The context propagation options that will be used by default.

Top
See Also

#### Reference

Grpc.Core Namespace